{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdeacmodes/DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      }
    } ],
    "pagingSize" : 50,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdeacmodes/DEFAULT",
    "getTextPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    },
    "getValuePSAppDEField" : {
      "name" : "IBIZUNIPRODUCTID",
      "codeName" : "IBIZUNIProductId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Get",
    "requestField" : "IBIZUNIPRODUCTID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Remove",
    "requestField" : "IBIZUNIPRODUCTID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchIndexDER",
    "dataSetType" : "INDEXDE",
    "methodType" : "FETCH",
    "name" : "IndexDER",
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/UNIPRODUCTTYPE.json"
    },
    "getPSAppDEMethodInput" : {
      "codeName" : "IndexDERInput",
      "name" : "IndexDERInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductFilterDTO"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER/psappdemethodinputs/IndexDERInput",
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "IndexDERResult",
      "name" : "IndexDERResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER/psappdemethodreturns/IndexDERResult",
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "IndexDER"
    },
    "predefinedType" : "INDEXDE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNITPRICE/psappdefuimodes/MobileDefault",
      "name" : "[UNITPRICE][单价]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNITPRICE",
          "mOSFilePath" : "pslanguageres/Auto937",
          "rTMOSFilePath" : "pslanguageres/Auto937"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNITPRICE/psdefformitems/MobileDefault",
        "name" : "[UNITPRICE][单价]移动端默认",
        "precision" : 2,
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UnitPrice/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UnitPrice/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNITPRICE/psappdefuimodes/Default",
      "name" : "[UNITPRICE][单价]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNITPRICE",
          "mOSFilePath" : "pslanguageres/Auto937",
          "rTMOSFilePath" : "pslanguageres/Auto937"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNITPRICE/psdefformitems/Default",
        "name" : "[UNITPRICE][单价]",
        "precision" : 2,
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UnitPrice/psdefformitems/Default",
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UnitPrice/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UnitPrice",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNITPRICE",
      "mOSFilePath" : "pslanguageres/Auto937",
      "rTMOSFilePath" : "pslanguageres/Auto937"
    },
    "logicName" : "单价",
    "name" : "UNITPRICE",
    "precision" : 2,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UnitPrice",
    "stdDataType" : 7
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTNAME/psappdefuimodes/Default",
      "name" : "[IBIZUNIPRODUCTNAME][统一产品名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCT.IBIZUNIPRODUCTNAME",
          "mOSFilePath" : "pslanguageres/Auto766",
          "rTMOSFilePath" : "pslanguageres/Auto766"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTNAME/psdefformitems/Default",
        "name" : "[IBIZUNIPRODUCTNAME][统一产品名称]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductName/psdefformitems/Default",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductName/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTNAME/psappdefuimodes/MobileDefault",
      "name" : "[IBIZUNIPRODUCTNAME][统一产品名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCT.IBIZUNIPRODUCTNAME",
          "mOSFilePath" : "pslanguageres/Auto766",
          "rTMOSFilePath" : "pslanguageres/Auto766"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTNAME/psdefformitems/MobileDefault",
        "name" : "[IBIZUNIPRODUCTNAME][统一产品名称]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductName/psdefformitems/MobileDefault",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductName/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "IBIZUNIProductName",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCT.IBIZUNIPRODUCTNAME",
      "mOSFilePath" : "pslanguageres/Auto766",
      "rTMOSFilePath" : "pslanguageres/Auto766"
    },
    "logicName" : "产品名称",
    "name" : "IBIZUNIPRODUCTNAME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductName",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEDATE/psappdefuimodes/Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "rTMOSFilePath" : "pslanguageres/Auto1074"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEDATE/psdefformitems/Default",
        "name" : "[UPDATEDATE][更新时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "rTMOSFilePath" : "pslanguageres/Auto1074"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEDATE/psdefformitems/MobileDefault",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "mOSFilePath" : "pslanguageres/Auto1074",
      "rTMOSFilePath" : "pslanguageres/Auto1074"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNIT/psappdefuimodes/MobileDefault",
      "name" : "[UNIT][单位]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNIT",
          "mOSFilePath" : "pslanguageres/Auto32",
          "rTMOSFilePath" : "pslanguageres/Auto32"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNIT/psdefformitems/MobileDefault",
        "name" : "[UNIT][单位]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/Unit/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/Unit/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNIT/psappdefuimodes/Default",
      "name" : "[UNIT][单位]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNIT",
          "mOSFilePath" : "pslanguageres/Auto32",
          "rTMOSFilePath" : "pslanguageres/Auto32"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UNIT/psdefformitems/Default",
        "name" : "[UNIT][单位]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/Unit/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/Unit/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "Unit",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNIT",
      "mOSFilePath" : "pslanguageres/Auto32",
      "rTMOSFilePath" : "pslanguageres/Auto32"
    },
    "logicName" : "单位",
    "name" : "UNIT",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/Unit",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTTYPE/psappdefuimodes/MobileDefault",
      "name" : "[IBIZUNIPRODUCTTYPE][分组类型]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTTYPE",
          "mOSFilePath" : "pslanguageres/Auto969",
          "rTMOSFilePath" : "pslanguageres/Auto969"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDROPDOWNLIST",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTTYPE/psdefformitems/MobileDefault",
        "name" : "[IBIZUNIPRODUCTTYPE][分组类型]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductType/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductType/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTTYPE/psappdefuimodes/Default",
      "name" : "[IBIZUNIPRODUCTTYPE][分组类型]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTTYPE",
          "mOSFilePath" : "pslanguageres/Auto969",
          "rTMOSFilePath" : "pslanguageres/Auto969"
        },
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTTYPE/psdefformitems/Default",
        "name" : "[IBIZUNIPRODUCTTYPE][分组类型]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductType/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false,
        "needCodeListConfig" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductType/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "IBIZUNIProductType",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTTYPE",
      "mOSFilePath" : "pslanguageres/Auto969",
      "rTMOSFilePath" : "pslanguageres/Auto969"
    },
    "logicName" : "分组类型",
    "name" : "IBIZUNIPRODUCTTYPE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductType",
    "stdDataType" : 25,
    "stringLength" : 100,
    "dataTypeField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "mOSFilePath" : "pslanguageres/Auto202",
          "rTMOSFilePath" : "pslanguageres/Auto202"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEMAN/psdefformitems/MobileDefault",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEMAN/psappdefuimodes/Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "mOSFilePath" : "pslanguageres/Auto202",
          "rTMOSFilePath" : "pslanguageres/Auto202"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/UPDATEMAN/psdefformitems/Default",
        "name" : "[UPDATEMAN][更新人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN",
      "mOSFilePath" : "pslanguageres/Auto202",
      "rTMOSFilePath" : "pslanguageres/Auto202"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/UpdateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEDATE/psappdefuimodes/Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "mOSFilePath" : "pslanguageres/Auto964",
          "rTMOSFilePath" : "pslanguageres/Auto964"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEDATE/psdefformitems/Default",
        "name" : "[CREATEDATE][建立时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "mOSFilePath" : "pslanguageres/Auto964",
          "rTMOSFilePath" : "pslanguageres/Auto964"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEDATE/psdefformitems/MobileDefault",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE",
      "mOSFilePath" : "pslanguageres/Auto964",
      "rTMOSFilePath" : "pslanguageres/Auto964"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "mOSFilePath" : "pslanguageres/Auto859",
          "rTMOSFilePath" : "pslanguageres/Auto859"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEMAN/psdefformitems/MobileDefault",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEMAN/psappdefuimodes/Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "mOSFilePath" : "pslanguageres/Auto859",
          "rTMOSFilePath" : "pslanguageres/Auto859"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/CREATEMAN/psdefformitems/Default",
        "name" : "[CREATEMAN][建立人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN",
      "mOSFilePath" : "pslanguageres/Auto859",
      "rTMOSFilePath" : "pslanguageres/Auto859"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/CreateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTID/psappdefuimodes/MobileDefault",
      "name" : "[IBIZUNIPRODUCTID][统一产品标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTID",
          "mOSFilePath" : "pslanguageres/Auto669",
          "rTMOSFilePath" : "pslanguageres/Auto669"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTID/psdefformitems/MobileDefault",
        "name" : "[IBIZUNIPRODUCTID][统一产品标识]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductId/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductId/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTID/psappdefuimodes/Default",
      "name" : "[IBIZUNIPRODUCTID][统一产品标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTID",
          "mOSFilePath" : "pslanguageres/Auto669",
          "rTMOSFilePath" : "pslanguageres/Auto669"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdefields/IBIZUNIPRODUCTID/psdefformitems/Default",
        "name" : "[IBIZUNIPRODUCTID][统一产品标识]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductId/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductId/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "IBIZUNIProductId",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZUNIPRODUCTID",
      "mOSFilePath" : "pslanguageres/Auto669",
      "rTMOSFilePath" : "pslanguageres/Auto669"
    },
    "logicName" : "统一产品标识",
    "name" : "IBIZUNIPRODUCTID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdefields/IBIZUNIProductId",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "IBIZUNIProductDTO",
    "name" : "IBIZUNIProductDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "CreateDate",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/CreateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/CreateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZUNIProductId",
      "logicName" : "统一产品标识",
      "name" : "IBIZUNIProductId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/IBIZUNIProductId",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZUNIProductName",
      "logicName" : "产品名称",
      "name" : "IBIZUNIProductName",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/IBIZUNIProductName",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZUNIProductType",
      "logicName" : "分组类型",
      "name" : "IBIZUNIProductType",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTTYPE",
        "codeName" : "IBIZUNIProductType"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/IBIZUNIProductType",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "Unit",
      "logicName" : "单位",
      "name" : "Unit",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UNIT",
        "codeName" : "Unit"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/Unit",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UnitPrice",
      "logicName" : "单价",
      "name" : "UnitPrice",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UNITPRICE",
        "codeName" : "UnitPrice"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/UnitPrice",
      "sourceType" : "DEFIELD",
      "stdDataType" : 7,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/UpdateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO/psappdemethoddtofields/UpdateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductDTO",
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "IBIZUNIProductFilterDTO",
    "name" : "IBIZUNIProductFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_IBIZUNIPRODUCTID_EQ",
      "logicName" : "统一产品标识",
      "name" : "N_IBIZUNIPRODUCTID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductFilterDTO/psappdemethoddtofields/N_IBIZUNIPRODUCTID_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZUNIPRODUCTNAME_LIKE",
      "logicName" : "产品名称",
      "name" : "N_IBIZUNIPRODUCTNAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductFilterDTO/psappdemethoddtofields/N_IBIZUNIPRODUCTNAME_LIKE",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZUNIPRODUCTTYPE_EQ",
      "logicName" : "分组类型",
      "name" : "N_IBIZUNIPRODUCTTYPE_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTTYPE",
        "codeName" : "IBIZUNIProductType"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductFilterDTO/psappdemethoddtofields/N_IBIZUNIPRODUCTTYPE_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethoddtos/IBIZUNIProductFilterDTO",
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Get",
    "requestField" : "IBIZUNIPRODUCTID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Remove",
    "requestField" : "IBIZUNIPRODUCTID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchIndexDER",
    "dataSetType" : "INDEXDE",
    "methodType" : "FETCH",
    "name" : "IndexDER",
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/UNIPRODUCTTYPE.json"
    },
    "getPSAppDEMethodInput" : {
      "codeName" : "IndexDERInput",
      "name" : "IndexDERInput",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductFilterDTO"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER/psappdemethodinputs/IndexDERInput",
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "codeName" : "IndexDERResult",
      "name" : "IndexDERResult",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZUNIProductDTO"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER/psappdemethodreturns/IndexDERResult",
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "IndexDER"
    },
    "predefinedType" : "INDEXDE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FetchIndexDER",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterCreate",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterFetch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterGet",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterGetDraft",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterRemove",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterSearch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/FilterUpdate",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct/psappdemethods/Select",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductSGridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductIndexPickupDataView.json",
    "viewType" : "DEINDEXPICKUPDATAVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductSGridView_layout.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductGridView9.json",
    "viewType" : "DEGRIDVIEW9"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductIndexPickupView.json",
    "viewType" : "DEPICKUPVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
    "viewType" : "DEREDIRECTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductPickupView.json",
    "viewType" : "DEPICKUPVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductPickupGridView.json",
    "viewType" : "DEPICKUPGRIDVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/CREATE",
    "name" : "CREATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/CREATE"
  }, {
    "logicName" : "删除",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/DELETE",
    "name" : "DELETE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/DELETE"
  }, {
    "logicName" : "读取",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/READ",
    "name" : "READ",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/READ"
  }, {
    "logicName" : "更新",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/UPDATE",
    "name" : "UPDATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZUNIPRODUCT/psdeopprivs/UPDATE"
  } ],
  "codeName" : "IBIZUNIProduct",
  "dEAPITag" : "IBIZUNIPRODUCT",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "getDataTypePSAppDEField" : {
    "name" : "IBIZUNIPRODUCTTYPE",
    "codeName" : "IBIZUNIProductType"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json",
  "enableUIActions" : 15,
  "getIndexTypePSAppDEField" : {
    "name" : "IBIZUNIPRODUCTTYPE",
    "codeName" : "IBIZUNIProductType"
  },
  "getKeyPSAppDEField" : {
    "name" : "IBIZUNIPRODUCTID",
    "codeName" : "IBIZUNIProductId"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZUNIPRODUCT",
    "mOSFilePath" : "pslanguageres/Auto1608",
    "rTMOSFilePath" : "pslanguageres/Auto1608"
  },
  "logicName" : "统一产品（索引主实体）",
  "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct",
  "getMajorPSAppDEField" : {
    "name" : "IBIZUNIPRODUCTNAME",
    "codeName" : "IBIZUNIProductName"
  },
  "name" : "IBIZUNIPRODUCT",
  "getPSDEName" : "IBIZUNIPRODUCT",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "IBIZUNIProduct"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZUNIProduct.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/DemoAPI.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "IBIZUNIPRODUCTNAME",
    "codeName" : "IBIZUNIProductName"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZUNIProduct",
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}